Skip to content

List all resource connections for my review

Request

Beta
OAuth 2.0 scope:
  • okta.governance.reviewer.read

Lists all resource connections for the specified AI agent in the current user's assigned review

Path
campaignIdstringrequired

Unique identifier for the campaign

reviewIdstringrequired

Unique identifier for the review

agentIdstringrequired

ID of the agent

Example:wlpkhjm0jnDp8RrUu0g4
Query
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v1/my/campaigns/{campaignId}/reviews/{reviewId}/agent-resource-connections/{agentId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/my/campaigns/{campaignId}/reviews/{reviewId}/agent-resource-connections/wlpkhjm0jnDp8RrUu0g4?after=00u68w6vzKLultXS97g6&limit=20'

Responses

All connections the agent has established

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects, <= 200 items(my-resource-connection)required

All connections the agent has established

Response
{ "data": [ {}, {}, {} ], "_links": { "self": {} } }